#if !defined(AFX_OBJECTIVEDLG_H__C871E5B3_64A8_11D6_BAC0_005056400072__INCLUDED_)
#define AFX_OBJECTIVEDLG_H__C871E5B3_64A8_11D6_BAC0_005056400072__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjectiveDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CObjectiveDlg dialog

class CObjectiveDlg : public CDialog
{
// Construction
public:
	CObjectiveDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CObjectiveDlg)
	enum { IDD = IDD_OBJECTIVE_DIALOG };
	CString	m_strEventID;
	CString	m_strUserFilter;
	int		m_iObjectiveType;
	BOOL	m_bSuccessCheck;
	BOOL	m_bFailureCheck;
	BOOL	m_bErrorCheck;
	BOOL	m_bWarningCheck;
	BOOL	m_bInformationCheck;
	int		m_iAlertType;
	BOOL	m_bSecLogCheck;
	BOOL	m_bRepLogCheck;
	BOOL	m_bSysLogCheck;
	BOOL	m_bDirLogCheck;
	BOOL	m_bDNSLogCheck;
	BOOL	m_bAppLogCheck;
	CString	m_strSearchFilter;
	int		m_InclExclUser;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjectiveDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CToolTipCtrl m_objective_tooltip;

	// Generated message map functions
	//{{AFX_MSG(CObjectiveDlg)
	afx_msg void OnFileaccessRadio();
	afx_msg void OnProcessRadio();
	afx_msg void OnUserrightRadio();
	afx_msg void OnGroupRadio();
	afx_msg void OnSecpolicyRadio();
	afx_msg void OnRestartRadio();
	afx_msg void OnAlleventsRadio();
	virtual BOOL OnInitDialog();
	afx_msg void OnLogonoffRadio();
	virtual void OnOK();
	afx_msg void OnObjectiveHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJECTIVEDLG_H__C871E5B3_64A8_11D6_BAC0_005056400072__INCLUDED_)
